I upgraded to Linux kernel version 3.0.3 today and it works!

There were some things to think about but almost everything worked like kernel 2.6.39. The main problem was the Nvidia driver which must be the newest version available. The "stable" version for 2.6 doesn't compile. I added the following to /etc/portage/package.keywords to get things run:

=sys-kernel/vanilla-sources-3.0.3       ~x86
x11-drivers/nvidia-drivers      ~x86

VirtualBox modules compiled without any problems and is running like before...

Just upgrade! Ask me if you need help... ;)

Posted in: linux

Tags:  linux,  gentoo,  opensource,  kernel,